Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(51)

Issue 1346673003: Allow text expectation for reftests (Closed)

Created:
3 years, 6 months ago by Xianzhu
Modified:
2 years, 10 months ago
CC:
blink-reviews, chrishtr
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Allow text expectation for reftests Paint invalidation tests need to check - what are invalidated (as text) to ensure no over invalidations; - the result of invalidation and paint to ensure - no under-invalidation; - we paint the invalidated parts correctly. We can achieve this with both text and pixel expectations. As reftest is a better way for pixel expectations, -expected.txt and -expected.html seem a reasonable combination of expectations. BUG=524134 Committed: https://crrev.com/aac11b64e3093c4ee54c16cfdb331aa1b2d4c46e Cr-Commit-Position: refs/heads/master@{#394667}

Patch Set 1 #

Patch Set 2 : Full change #

Patch Set 3 : Rebase #

Patch Set 4 : #

Messages

Total messages: 42 (13 generated)
Xianzhu
3 years, 6 months ago (2015-09-15 19:23:17 UTC) #2
Dirk Pranke
This strikes me as a potentially very confusing thing. Devs may not know which tests ...
3 years, 6 months ago (2015-09-15 20:14:42 UTC) #3
pdr.
I've found the spv2 tests confusing to debug as well. What do you think of ...
3 years, 6 months ago (2015-09-15 20:31:54 UTC) #4
Xianzhu
On 2015/09/15 20:14:42, Dirk Pranke wrote: > This strikes me as a potentially very confusing ...
3 years, 6 months ago (2015-09-15 20:33:16 UTC) #5
Xianzhu
Now we prefer a more conservative method in https://codereview.chromium.org/1340423004/.
3 years, 6 months ago (2015-09-16 20:41:52 UTC) #6
Xianzhu
On 2015/09/15 20:14:42, Dirk Pranke wrote: > This strikes me as a potentially very confusing ...
3 years, 6 months ago (2015-09-17 18:02:11 UTC) #7
Xianzhu
On 2015/09/17 18:02:11, Xianzhu wrote: > On 2015/09/15 20:14:42, Dirk Pranke wrote: > > This ...
3 years, 6 months ago (2015-09-17 18:07:23 UTC) #8
Dirk Pranke
On 2015/09/17 18:07:23, Xianzhu wrote: > On 2015/09/17 18:02:11, Xianzhu wrote: > > On 2015/09/15 ...
3 years, 6 months ago (2015-09-17 18:27:21 UTC) #9
Xianzhu
On 2015/09/17 18:27:21, Dirk Pranke wrote: > On 2015/09/17 18:07:23, Xianzhu wrote: > > On ...
3 years, 6 months ago (2015-09-17 18:32:28 UTC) #10
ojan
This patch isn't sufficient to implement this behavior. A couple things off the top of ...
3 years, 6 months ago (2015-09-19 03:16:15 UTC) #12
Xianzhu
On 2015/09/19 03:16:15, ojan wrote: > This patch isn't sufficient to implement this behavior. A ...
3 years, 6 months ago (2015-09-20 17:39:40 UTC) #13
ojan
I don't think we should allow any test formats that need rebaselining and can't be ...
3 years, 6 months ago (2015-09-20 18:13:14 UTC) #14
Xianzhu
Ptal. - Added NeedsRebaseline support - Added tests
3 years, 6 months ago (2015-09-21 23:21:11 UTC) #15
Xianzhu
On 2015/09/21 23:21:11, Xianzhu wrote: > Ptal. > > - Added NeedsRebaseline support > - ...
3 years, 6 months ago (2015-09-22 18:05:23 UTC) #16
Xianzhu
I'm bringing this up because we need better pixel expectations for repaint tests. Ptal.
2 years, 10 months ago (2016-05-13 20:34:30 UTC) #18
Dirk Pranke
On 2016/05/13 20:34:30, Xianzhu wrote: > I'm bringing this up because we need better pixel ...
2 years, 10 months ago (2016-05-13 21:21:37 UTC) #19
Xianzhu
On 2016/05/13 21:21:37, Dirk Pranke wrote: > On 2016/05/13 20:34:30, Xianzhu wrote: > > I'm ...
2 years, 10 months ago (2016-05-13 21:52:01 UTC) #20
Xianzhu
ping...
2 years, 10 months ago (2016-05-18 16:56:59 UTC) #21
Dirk Pranke
On 2016/05/18 16:56:59, Xianzhu wrote: > ping... Sorry for the delay. It looks like you ...
2 years, 10 months ago (2016-05-18 23:48:16 UTC) #22
Dirk Pranke
On 2016/05/18 23:48:16, Dirk Pranke wrote: > On 2016/05/18 16:56:59, Xianzhu wrote: > > ping... ...
2 years, 10 months ago (2016-05-18 23:49:19 UTC) #24
chrishtr
+wkorman for review in place of ojan.
2 years, 10 months ago (2016-05-19 00:02:57 UTC) #26
wkorman
lgtm
2 years, 10 months ago (2016-05-19 00:15:55 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1346673003/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1346673003/40001
2 years, 10 months ago (2016-05-19 00:39:31 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/186044)
2 years, 10 months ago (2016-05-19 00:52:53 UTC) #31
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1346673003/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1346673003/60001
2 years, 10 months ago (2016-05-19 01:22:36 UTC) #33
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 10 months ago (2016-05-19 03:02:30 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1346673003/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1346673003/60001
2 years, 10 months ago (2016-05-19 04:09:26 UTC) #38
commit-bot: I haz the power
Committed patchset #4 (id:60001)
2 years, 10 months ago (2016-05-19 04:14:24 UTC) #40
commit-bot: I haz the power
2 years, 10 months ago (2016-05-19 04:16:21 UTC) #42
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/aac11b64e3093c4ee54c16cfdb331aa1b2d4c46e
Cr-Commit-Position: refs/heads/master@{#394667}

Powered by Google App Engine
This is Rietveld 408576698